Schedules
Create a schedule
Create a cron schedule for an agent.
POST
/api/agents/{scope}/{name}/schedulesbetter-auth.session_token<token>
Cookie session from Better Auth. Requires X-Org-Id header for org-scoped routes.
In: cookie
Path Parameters
scope*string
Match
^@[a-z0-9][a-z0-9-]*$name*string
Header Parameters
X-Org-Id?string
Organization ID. Required for cookie auth. Not needed for API key auth (org resolved from key).
Format
uuidRequest Body
application/json
curl -X POST "https://loading/api/agents/string/string/schedules" \ -H "Content-Type: application/json" \ -d '{ "connectionProfileId": "9c175ce7-b52f-40d3-a7ce-83c16719ec40", "cronExpression": "string" }'Empty
{
"type": "http://example.com",
"title": "string",
"status": 0,
"detail": "string",
"instance": "string",
"code": "string",
"requestId": "string",
"param": "string",
"retryAfter": 0,
"errors": [
{
"field": "string",
"code": "string",
"message": "string"
}
]
}{
"type": "https://docs.appstrate.dev/errors/unauthorized",
"title": "Unauthorized",
"status": 401,
"detail": "Invalid or missing session",
"code": "unauthorized",
"requestId": "req_abc123"
}